LibreOffice: XScrollBar Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XScrollBar Interface Referencepublished

gives access to the value and settings of a scroll bar and makes it possible to register adjustment event listeners. More...

`import "XScrollBar.idl";`

Inheritance diagram for XScrollBar:

## Public Member Functions
void | addAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener l)
| registers an adjustment event listener.
void | removeAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener l)
| unregisters an adjustment event listener.
void | setValue ([in] long n)
| sets the scroll value of the scroll bar.
void | setValues ([in] long nValue, [in] long nVisible, [in] long nMax)
| sets the scroll value, visible area and maximum scroll value of the scroll bar.
long | getValue ()
| returns the current scroll value of the scroll bar.
void | setMaximum ([in] long n)
| sets the maximum scroll value of the scroll bar.
long | getMaximum ()
| returns the currently set maximum scroll value of the scroll bar.
void | setLineIncrement ([in] long n)
| sets the increment for a single line move.
long | getLineIncrement ()
| returns the currently set increment for a single line move.
void | setBlockIncrement ([in] long n)
| sets the increment for a block move.
long | getBlockIncrement ()
| returns the currently set increment for a block move.
void | setVisibleSize ([in] long n)
| sets the visible size of the scroll bar.
long | getVisibleSize ()
| returns the currently visible size of the scroll bar.
void | setOrientation ([in] long n)
| sets the ScrollBarOrientation of the scroll bar.
long | getOrientation ()
| returns the currently set ScrollBarOrientation of the scroll bar.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the value and settings of a scroll bar and makes it possible to register adjustment event listeners.

## Member Function Documentation

## ◆ addAdjustmentListener()

void addAdjustmentListener | ( | [in] com::sun::star::awt::XAdjustmentListener | l | ) |

registers an adjustment event listener.

## ◆ getBlockIncrement()

long getBlockIncrement | ( |  | ) |

returns the currently set increment for a block move.

## ◆ getLineIncrement()

long getLineIncrement | ( |  | ) |

returns the currently set increment for a single line move.

## ◆ getMaximum()

long getMaximum | ( |  | ) |

returns the currently set maximum scroll value of the scroll bar.

## ◆ getOrientation()

long getOrientation | ( |  | ) |

returns the currently set ScrollBarOrientation of the scroll bar.

## ◆ getValue()

long getValue | ( |  | ) |

returns the current scroll value of the scroll bar.

## ◆ getVisibleSize()

long getVisibleSize | ( |  | ) |

returns the currently visible size of the scroll bar.

## ◆ removeAdjustmentListener()

void removeAdjustmentListener | ( | [in] com::sun::star::awt::XAdjustmentListener | l | ) |

unregisters an adjustment event listener.

## ◆ setBlockIncrement()

void setBlockIncrement | ( | [in] long | n | ) |

sets the increment for a block move.

## ◆ setLineIncrement()

void setLineIncrement | ( | [in] long | n | ) |

sets the increment for a single line move.

## ◆ setMaximum()

void setMaximum | ( | [in] long | n | ) |

sets the maximum scroll value of the scroll bar.

## ◆ setOrientation()

void setOrientation | ( | [in] long | n | ) |

sets the ScrollBarOrientation of the scroll bar.

## ◆ setValue()

void setValue | ( | [in] long | n | ) |

sets the scroll value of the scroll bar.

## ◆ setValues()

void setValues | ( | [in] long | nValue,
|  | [in] long | nVisible,
|  | [in] long | nMax )

sets the scroll value, visible area and maximum scroll value of the scroll bar.

## ◆ setVisibleSize()

void setVisibleSize | ( | [in] long | n | ) |

sets the visible size of the scroll bar.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XScrollBar.idl